#if PING_SUPPORT

#include <ESP8266WiFi.h>

void _RemoteConf(JsonObject& root) {  

  root["Remote"] = getSetting("Remote", REMOTE).toInt();
  root["RemoteAddress"] = getSetting("RemoteAddress", REMOTE_ADDRESS);
  root["RemoteAPIKey"] = getSetting("RemoteAPIKey", REMOTE_API_KEY);
  root["apiKey"] = getSetting("apiKey", SERVER_API_KEY);    
}

void pingSetup()
  {
  wsOnSendRegister(_RemoteConf);

  // Register loop
  espurnaRegisterLoop(pingLoop);
  }
      
void pingLoop()
  {
  static unsigned long last_ping = 0;

  if (millis() - last_ping > 5000)
    {
    bool remote = getSetting("Remote", REMOTE).toInt();  			
    String remoteaddress = getSetting("RemoteAddress", REMOTE_ADDRESS);
    String key = getSetting("RemoteAPIKey", REMOTE_API_KEY);   		       
            
    if (wifiOn)					     
	    {				        
      if (remote)
        {                
        if (client.connect(remoteaddress.c_str(), 80))
          {                  
		      if (client.connected())
		        {          
            if (relayStatus(0) == 1)
              {       
              client.print(String("GET ") + "/api/relay/0?apikey=" + key + "&value=1" + " HTTP/1.1\r\n" +
              "Host: " + remoteaddress + "\r\n" + 
              "Connection: close\r\n\r\n");
              client.stop();                
              }
            else
              {                  
              client.print(String("GET ") + "/api/relay/0?apikey=" + key + "&value=0" + " HTTP/1.1\r\n" +
              "Host: " + remoteaddress + "\r\n" + 
              "Connection: close\r\n\r\n");
              client.stop();                
              }                    
		        }
          
          remoteOn=true;
          }
        else
          {
          remoteOn=false;  
          }
        }
      }   
      last_ping = millis();
	  }
  }

#endif //PING_SUPPORT  
